com.sun.grid.jgdi.configuration

## Class CalendarQueueStateImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.CalendarQueueStateImpl

- All Implemented Interfaces:
    CalendarQueueState, GEObject, java.io.Serializable, java.lang.Cloneable

      public class CalendarQueueStateImpl
      extends GEObjectImpl
      implements CalendarQueueState

  Java representation of the cull object CQU_Type defined in sge_all_listsL.template

  Warning: The CalendarQueueStateImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarQueueStateImpl()` Create a new instance of CalendarQueueStateImpl.
    `CalendarQueueStateImpl(boolean initWithDefaultValues)` Create a new instanceof

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `int` | `getState()` Get the value of the state attribute.
    `int` | `getTill()` Get the value of the till attribute.
    `boolean` | `isSetState()` Determine if the state attribute is set
    `boolean` | `isSetTill()` Determine if the till attribute is set
    `void` | `setState(int aState)` Set the state attribute.
    `void` | `setTill(int aTill)` Set the till attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### CalendarQueueStateImpl

          public CalendarQueueStateImpl()

      Create a new instance of CalendarQueueStateImpl. The new instance will not be initialized with the default values.

    - #### CalendarQueueStateImpl

          public CalendarQueueStateImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

  - ### Method Detail

    - #### isSetState

          public boolean isSetState()

      Determine if the state attribute is set
      Specified by:
        `isSetState` in interface `CalendarQueueState`
      Returns:
        `true` if the state attribute is set

    - #### setState

          public void setState(int aState)

      Set the state attribute.
      Specified by:
        `setState` in interface `CalendarQueueState`
      Parameters:
        `aState` - the new value for the state attribute

    - #### getState

          public int getState()

      Get the value of the state attribute.
      Specified by:
        `getState` in interface `CalendarQueueState`
      Returns:
        the value of the state attribute

    - #### isSetTill

          public boolean isSetTill()

      Determine if the till attribute is set
      Specified by:
        `isSetTill` in interface `CalendarQueueState`
      Returns:
        `true` if the till attribute is set

    - #### setTill

          public void setTill(int aTill)

      Set the till attribute.
      Specified by:
        `setTill` in interface `CalendarQueueState`
      Parameters:
        `aTill` - the new value for the till attribute

    - #### getTill

          public int getTill()

      Get the value of the till attribute.
      Specified by:
        `getTill` in interface `CalendarQueueState`
      Returns:
        the value of the till attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `CalendarQueueState`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.